org.apache.maven.scm.repository

## Class ScmRepository

- java.lang.Object
- - org.apache.maven.scm.repository.ScmRepository

Direct Known Subclasses:
  ScmRepositoryStub

    public class ScmRepository
    extends Object

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`ScmRepository(String provider, ScmProviderRepository providerRepository)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProvider()`
`ScmProviderRepository` `getProviderRepository()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmRepository

    public ScmRepository(String provider,
                         ScmProviderRepository providerRepository)

### Method Detail

#### getProvider

    public String getProvider()

Returns:
  Returns the provider.

#### getProviderRepository

    public ScmProviderRepository getProviderRepository()

Returns:
  Returns the provider repository.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`